Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.utils
Class APDUScriptTool

    java.lang.Object
      com.licel.jcardsim.utils.APDUScriptTool

    public class APDUScriptTool

extends Object

Execute APDU script in C-APDU format.

Constructor Summary
`APDUScriptTool()`

Method Summary
`static void` | `executeCommands(Properties cfg, InputStream commandsStream, PrintStream out)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### APDUScriptTool

    public APDUScriptTool()

Method Detail

### main

    public static void main(String[] args)
                     throws FileNotFoundException,
                            IOException,
                            NoSuchAlgorithmException,
                            javax.smartcardio.CardException

  Throws:
    `FileNotFoundException`
    `IOException`
    `NoSuchAlgorithmException`
    `javax.smartcardio.CardException`

### executeCommands

    public static void executeCommands(Properties cfg,
                                       InputStream commandsStream,
                                       PrintStream out)
                                throws IOException,
                                       ParseException,
                                       NoSuchAlgorithmException,
                                       javax.smartcardio.CardException

  Throws:
    `IOException`
    `ParseException`
    `NoSuchAlgorithmException`
    `javax.smartcardio.CardException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD